Kirix Support Forums

wxAUI compile problem

Please post all general questions, comments, bug reports, and any other wxAUI feedback here.

wxAUI compile problem

Postby fantaz on Wed Nov 08, 2006 9:33 am

Hi,
I'm using wx 2.6.3 with msvc2005 and I tried to compile aui lib from wxwidgets' cvs, but i failed, i.e. I get 1000 more than errors.

I had declared wxUSE_AUI 1 in preprocessor flags.

Am I trying the impossible? I mean everything is possible, but I'd like not to change sources, or make as few as possible changes.
Another solution is just building the complete wx lib, but I wanted to avoid this.

greetz,
fantaz.
fantaz
Registered User
 
Posts: 2
Joined: Wed Nov 08, 2006 9:25 am

Postby Ben on Wed Nov 08, 2006 11:00 am

Unforunately, the last version of wxAUI to work with wx 2.6.x was wxAUI 0.9.2, downloadable from this web site.

The wxAUI available in CVS uses features that are specific to wx 2.8.0. wxWidgets 2.8.0 RC1 should be released early next week. My recommendation is to upgrade to that.

All the best,
Ben
User avatar
Ben
Kirix Support Team
 
Posts: 522
Joined: Mon Dec 19, 2005 6:29 am

Postby fantaz on Thu Nov 09, 2006 3:38 am

That's what I thought.
Thanx
fantaz
Registered User
 
Posts: 2
Joined: Wed Nov 08, 2006 9:25 am

Return to wxAUI Questions, Thoughts & Feedback